Package org.springframework.jdbc.datasource

# Interface ConnectionHandle

All Known Implementing Classes:
  `SimpleConnectionHandle`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ConnectionHandle
Simple interface to be implemented by handles for a JDBC Connection. Used by JpaDialect, for example.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  - `SimpleConnectionHandle`
  - `ConnectionHolder`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
Fetch the JDBC Connection that this handle refers to.
`default void`
`releaseConnection(Connection con)`
Release the JDBC Connection that this handle refers to.

## Method Details

### getConnection

Connection getConnection()
Fetch the JDBC Connection that this handle refers to.

### releaseConnection

default void releaseConnection(Connection con)
Release the JDBC Connection that this handle refers to.

The default implementation is empty, assuming that the lifecycle of the connection is managed externally.

Parameters:
  `con` - the JDBC Connection to release